## psychtoolbox-3 3.0.19.9.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.19.9.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release which chased prior one
  * debian/control
    - add libapriltag-dev to build-depends and apriltag to recommends of common

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Mar 2024 11:43:06 -0400

psychtoolbox-3 (3.0.19.8.dfsg1-1) UNRELEASED; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Mar 2024 21:02:53 -0400
