## psychtoolbox-3 3.0.19.14.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.19.14.dfsg1-1~nd130+1) trixie; urgency=medium

  * Backported for trixie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 12 Aug 2024 12:52:44 -0400

psychtoolbox-3 (3.0.19.14.dfsg1-1) unstable; urgency=medium

  * debian/dfsg-upstream - improve listing of left non-source - list only
    binary files along with their mime type
  * debian/rules
    - do build PsychCV.mex (10) - it was excluded from the beginning for
      some reason (was not stated) and upstream announced its availability
      this May in 3.0.19.9 but we did not include it then.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Aug 2024 09:38:17 -0400

psychtoolbox-3 (3.0.19.12.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Jun 2024 17:35:23 -0400
