=== debian/control ===
Source: psychtoolbox-3
Section: science
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 11),
               autotools-dev,
               dh-octave | octave-pkg-dev (>= 0.5.7),
               gfortran,
               gnuplot-nox | gnuplot,
               gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-libav,
               libapriltag-dev,
               libasound2-dev,
               libdc1394-dev | libdc1394-22-dev,
               libfontconfig-dev | libfontconfig1-dev,
               libfreenect-dev (>= 0.1.2),
               libfreetype-dev | libfreetype6-dev,
               libglew-dev (>= 1.9.0~) | libglew1.9-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libglut-dev | freeglut3-dev,
               libgstreamer-plugins-base1.0-dev (>= 1.8~),
               libopenal-dev,
               libopenhmd-dev (>= 0.3~),
               libopenxr-dev,
               libpciaccess-dev,
               libusb-1.0-0-dev (>= 2:1.0.9~),
               libvulkan-dev (>= 1.1~),
               libxcb1-dev, libx11-xcb-dev, libxcb-dri3-dev, libxcb-present-dev,
               libxcomposite-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxml2-dev,
               libxrandr-dev,
               libxxf86vm-dev,
               lsb-base (>= 11),
               matlab-support-dev,
               portaudio19-dev,
               pulseaudio-utils, octave-image,
               quilt,
               rsync,
               xvfb, xauth, libgl1-mesa-dri, xdotool,
Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1), libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2)
Standards-Version: 4.3.0
Homepage: http://psychtoolbox.org
Vcs-Browser: https://github.com/neurodebian/Psychtoolbox-3/tree/debian
Vcs-Git: https://github.com/neurodebian/Psychtoolbox-3 -b debian


Package: psychtoolbox-3-common
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Recommends:
 alsa-utils,
 apriltag,
 gamemode,
Suggests: gnuplot
Description: toolbox for vision research -- arch/interpreter independent part
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 This package contains architecture independent files (such as .m scripts)

Package: psychtoolbox-3-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer1.0-plugins-base (>= 1.8~),
            gstreamer1.0-plugins-good,
            gstreamer1.0-plugins-bad,
            gstreamer1.0-plugins-ugly,
            gstreamer1.0-libav,
            libopenxr-loader1,
            libvulkan1,
Suggests: libopenxr1-monado,
Description: toolbox for vision research -- arch-specific parts
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 This package contains additional binaries (tools/dynamic libraries) used
 by both Octave and Matlab frontends.

Package: octave-psychtoolbox-3
Architecture: any
Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
         psychtoolbox-3-common (= ${source:Version}),
         psychtoolbox-3-lib (= ${binary:Version}),
Recommends: octave-image,
            octave-optim,
            octave-signal,
            octave-statistics,
            octave-pkg-dev,
Provides: psychtoolbox, psychtoolbox-3
Description: toolbox for vision research -- Octave bindings
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 See also http://www.psychtoolbox.org/UsingPsychtoolboxOnUbuntu for
 additional information about systems tune-up and initial configuration.
 .
 This package contains bindings for Octave.

Package: psychtoolbox-3-dbg
Section: debug
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
Description: toolbox for vision research -- debug symbols for binaries
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 To ease debugging and troubleshooting this package contains debug
 symbols for Octave bindings and other binaries.

#Package: matlab-psychtoolbox-3
#Section: contrib/science
#Architecture: all
#Provides: psychtoolbox, psychtoolbox-3
#Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
# matlab-support,
# psychtoolbox-3-common (= ${source:Version}),
#Description: toolbox for vision research -- Matlab bindings
# Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
# GNU/Octave functions for vision research. It makes it easy to
# synthesize and show accurately controlled visual and auditory stimuli
# and interact with the observer.
# .
# The Psychophysics Toolbox interfaces between Matlab or Octave and the
# computer hardware. The Psychtoolbox's core routines provide access to
# the display frame buffer and color lookup table, allow
# synchronization with the vertical retrace, support millisecond
# timing, allow access to OpenGL commands, and facilitate the
# collection of observer responses. Ancillary routines support common
# needs like color space transformations and the QUEST threshold
# seeking algorithm.
# .
# This package contains sources of low-level implementations which get
# build for use with Matlab during installation.  Note that this
# package depends on Matlab -- a commercial software that needs to be
# obtain and installed separately.

#Package: psychtoolbox-3-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends},
#Description: toolbox for vision research -- documentation
# Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
# GNU/Octave functions for vision research. It makes it easy to
# synthesize and show accurately controlled visual and auditory stimuli
# and interact with the observer.
# .
# The Psychophysics Toolbox interfaces between Matlab or Octave and the
# computer hardware. The Psychtoolbox's core routines provide access to
# the display frame buffer and color lookup table, allow
# synchronization with the vertical retrace, support millisecond
# timing, allow access to OpenGL commands, and facilitate the
# collection of observer responses. Ancillary routines support common
# needs like color space transformations and the QUEST threshold
# seeking algorithm.
# .
# This package contains documentation files.
